Issue 90162 - No context sentive help (F1) on the Basic IDE
Summary: No context sentive help (F1) on the Basic IDE
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: scripting (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial
Target Milestone: ---
Assignee: b.osi.ooo
QA Contact: Unknown
URL:
Keywords: oooqa, regression
Depends on:
Blocks:
 
Reported: 2008-05-30 16:52 UTC by Ariel Constenla-Haile
Modified: 2013-02-24 21:01 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Office Help viewer showing help page after F1 pressed on 2.3.1 (124.00 KB, image/png)
2008-05-30 16:56 UTC, Ariel Constenla-Haile
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2008-05-30 16:52:40 UTC
On 2.3.1 680m9 (Build:9238) and previous versions, the Basic IDE has context
sensitive help, that is:

* type a built-in function name like TRIM,
* put the cursor inside that word (or just in front of it) and then press F1,
* the office Help opens then showing the help page for that function (or at
least a list of best matches: testing with 2.3.1 the Help opens on the TimeValue
page, but Trim is also on the "Find" list).

This feature does not work on OOo 2.4.0 nor on OOo 3.0 Beta: F1 opens the Help
but on a blank page.
Comment 1 Ariel Constenla-Haile 2008-05-30 16:56:05 UTC
Created attachment 54089 [details]
Office Help viewer showing help page after F1 pressed on 2.3.1
Comment 2 Ariel Constenla-Haile 2008-05-30 16:57:46 UTC
added keywords: regression, oooqa
Comment 3 ab 2008-06-02 12:16:55 UTC
Reproduced in dev300 m14, STARTED, OOo 3.0
Comment 4 ab 2008-06-06 11:59:55 UTC
FIXED
Comment 5 ab 2008-06-27 08:41:28 UTC
ab->tbo: Please verify
Comment 6 b.osi.ooo 2008-07-03 11:40:23 UTC
works if 'complete words only' and 'find in headings only' is deselected.
verified in CWS ab53 on unxlngi: OK
Comment 7 b.osi.ooo 2008-07-14 11:17:13 UTC
integrated into DEV300m24 - closing